Open Bug 1585437 Opened 5 months ago Updated 13 days ago

[Perma] [fission] [tier2] devtools/client/responsive/test/browser/browser_contextual_identity.js | A promise chain failed to handle a rejection: Permission denied to access property "document" on cross-origin object

Categories

(DevTools :: Responsive Design Mode, defect, P5)

defect

Tracking

(Fission Milestone:M6)

REOPENED
Fission Milestone M6

People

(Reporter: intermittent-bug-filer, Assigned: CosminS)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, leave-open, regression)

Attachments

(1 file)

Filed by: shindli [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=269247801&repo=mozilla-central
Full log: https://queue.taskcluster.net/v1/task/aQ_IK8oBRHmiDeJGILnulQ/runs/0/artifacts/public/logs/live_backing.log


[task 2019-10-01T16:33:54.640Z] 16:33:54 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:805:67
[task 2019-10-01T16:33:54.640Z] 16:33:54 INFO -
[task 2019-10-01T16:33:54.715Z] 16:33:54 INFO - Responsive design mode opened
[task 2019-10-01T16:33:54.716Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "LOAD_DEVICE_LIST_START"
[task 2019-10-01T16:33:54.723Z] 16:33:54 INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/responsive/test/browser/contextual_identity.html
[task 2019-10-01T16:33:54.759Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE_TYPE"
[task 2019-10-01T16:33:54.759Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.763Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.772Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.773Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.773Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.773Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.776Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.784Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.784Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.786Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.787Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.790Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.791Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.792Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.794Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.795Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.798Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.799Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.802Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.803Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.804Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.805Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.809Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.810Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE_TYPE"
[task 2019-10-01T16:33:54.816Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.817Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.817Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.819Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.819Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.827Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.827Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.828Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.828Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.831Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.835Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.835Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.839Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE_TYPE"
[task 2019-10-01T16:33:54.842Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.843Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.847Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE"
[task 2019-10-01T16:33:54.848Z] 16:33:54 INFO - GECKO(9179) | console.log: "[DISPATCH] action type:" "ADD_DEVICE_TYPE"

[task 2019-10-03T10:07:29.416Z] 10:07:29 INFO - TEST-START | devtools/client/responsive/test/browser/browser_contextual_identity.js
[task 2019-10-03T10:07:29.440Z] 10:07:29 INFO - Entering test bound
[task 2019-10-03T10:07:29.442Z] 10:07:29 INFO - Leaving test bound
[task 2019-10-03T10:07:29.443Z] 10:07:29 INFO - Entering test bound
[task 2019-10-03T10:07:29.444Z] 10:07:29 INFO - Checking broadcast channel, send outside RDM, verify inside RDM
[task 2019-10-03T10:07:29.446Z] 10:07:29 INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/responsive/test/browser/contextual_identity.html
[task 2019-10-03T10:07:29.562Z] 10:07:29 INFO - GECKO(2013) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmplaKQ10.mozrunner/runtests_leaks_tab_pid2359.log
[task 2019-10-03T10:07:29.606Z] 10:07:29 INFO - GECKO(2013) | --DOCSHELL 0x7f466da7c000 == 1 [pid = 2296] [id = {3d0fb38f-1eb8-4267-8df2-0488c6a507ae}] [url = about:blank]
[task 2019-10-03T10:07:29.608Z] 10:07:29 INFO - GECKO(2013) | --DOCSHELL 0x7f466c9b5800 == 0 [pid = 2296] [id = {28e50589-70b7-4163-b889-ede8476225ed}] [url = http://example.com/browser/devtools/client/responsive/test/browser/doc_contextmenu_inspect.html]
[task 2019-10-03T10:07:29.856Z] 10:07:29 INFO - GECKO(2013) | --DOMWINDOW == 4 (0x7f466d99a2e0) [pid = 2296] [serial = 4] [outer = (nil)] [url = about:blank]
[task 2019-10-03T10:07:29.857Z] 10:07:29 INFO - GECKO(2013) | --DOMWINDOW == 3 (0x7f466d999f20) [pid = 2296] [serial = 1] [outer = (nil)] [url = http://example.com/browser/devtools/client/responsive/test/browser/doc_contextmenu_inspect.html]
[task 2019-10-03T10:07:29.858Z] 10:07:29 INFO - GECKO(2013) | --DOMWINDOW == 2 (0x7f466d903800) [pid = 2296] [serial = 5] [outer = (nil)] [url = about:blank]
[task 2019-10-03T10:07:29.859Z] 10:07:29 INFO - GECKO(2013) | --DOMWINDOW == 1 (0x7f466d90b400) [pid = 2296] [serial = 3] [outer = (nil)] [url = http://example.com/browser/devtools/client/responsive/test/browser/doc_contextmenu_inspect.html]
[task 2019-10-03T10:07:29.860Z] 10:07:29 INFO - GECKO(2013) | --DOMWINDOW == 0 (0x7f466c936c00) [pid = 2296] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2019-10-03T10:07:29.884Z] 10:07:29 INFO - GECKO(2013) | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2019-10-03T10:07:29.919Z] 10:07:29 INFO - GECKO(2013) | [Child 2296, Main Thread] WARNING: Extra shutdown CC: 'i < NORMAL_SHUTDOWN_COLLECTIONS', file /builds/worker/workspace/build/src/xpcom/base/nsCycleCollector.cpp, line 3361
[task 2019-10-03T10:07:29.968Z] 10:07:29 INFO - GECKO(2013) | nsStringStats
[task 2019-10-03T10:07:29.969Z] 10:07:29 INFO - GECKO(2013) | => mAllocCount: 23457
[task 2019-10-03T10:07:29.970Z] 10:07:29 INFO - GECKO(2013) | => mReallocCount: 0
[task 2019-10-03T10:07:29.971Z] 10:07:29 INFO - GECKO(2013) | => mFreeCount: 23457
[task 2019-10-03T10:07:29.972Z] 10:07:29 INFO - GECKO(2013) | => mShareCount: 12750
[task 2019-10-03T10:07:29.974Z] 10:07:29 INFO - GECKO(2013) | => mAdoptCount: 859
[task 2019-10-03T10:07:29.975Z] 10:07:29 INFO - GECKO(2013) | => mAdoptFreeCount: 863
[task 2019-10-03T10:07:29.975Z] 10:07:29 INFO - GECKO(2013) | => Process ID: 2296, Thread ID: 139940898772800
[task 2019-10-03T10:07:29.995Z] 10:07:29 INFO - GECKO(2013) | --DOCSHELL 0x7f25770b4800 == 0 [pid = 2332] [id = {98b22251-5d9f-4521-9b78-3b3c6e9d805e}] [url = about:blank]
[task 2019-10-03T10:07:30.092Z] 10:07:30 INFO - GECKO(2013) | ++DOCSHELL 0x7f34baeb5800 == 1 [pid = 2359] [id = {77f8fad5-a887-4690-8b77-1287a7e4bb87}]
[task 2019-10-03T10:07:30.092Z] 10:07:30 INFO - GECKO(2013) | --DOCSHELL 0x7f92960b5800 == 0 [pid = 2278] [id = {3ba18ff2-e0d0-4644-874d-6623a02340bb}] [url = about:blank]
[task 2019-10-03T10:07:30.140Z] 10:07:30 INFO - GECKO(2013) | ++DOMWINDOW == 1 (0x7f34bae3ed40) [pid = 2359] [serial = 1] [outer = (nil)]
[task 2019-10-03T10:07:30.141Z] 10:07:30 INFO - GECKO(2013) | ++DOMWINDOW == 2 (0x7f34bae36c00) [pid = 2359] [serial = 2] [outer = 0x7f34bae3ed40]
[task 2019-10-03T10:07:30.323Z] 10:07:30 INFO - GECKO(2013) | ++DOMWINDOW == 3 (0x7f34bbd0b400) [pid = 2359] [serial = 3] [outer = 0x7f34bae3ed40]
[task 2019-10-03T10:07:30.419Z] 10:07:30 INFO - Tab added and finished loading
[task 2019-10-03T10:07:30.435Z] 10:07:30 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://example.com/browser/devtools/client/responsive/test/browser/contextual_identity.html" line: 0}]
[task 2019-10-03T10:07:30.435Z] 10:07:30 INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/responsive/test/browser/contextual_identity.html

[task 2019-10-03T10:07:35.226Z] 10:07:35 INFO - TEST-PASS | devtools/client/responsive/test/browser/browser_contextual_identity.js | should only receive messages from the same user context - "Message from user context #2" == "Message from user context #2" -
[task 2019-10-03T10:07:35.267Z] 10:07:35 INFO - Removing tab.
[task 2019-10-03T10:07:35.267Z] 10:07:35 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-10-03T10:07:35.288Z] 10:07:35 INFO - GECKO(2013) | JavaScript error: resource://devtools/server/actors/emulation.js, line 372: TypeError: this.targetActor.docShell is null
[task 2019-10-03T10:07:35.296Z] 10:07:35 INFO - GECKO(2013) | ++DOCSHELL 0x7ff09a278800 == 4 [pid = 2170] [id = {edce8137-268b-4a00-815b-e75d26ed1fff}]
[task 2019-10-03T10:07:35.297Z] 10:07:35 INFO - GECKO(2013) | ++DOMWINDOW == 8 (0x7ff09a8db880) [pid = 2170] [serial = 11] [outer = (nil)]
[task 2019-10-03T10:07:35.297Z] 10:07:35 INFO - GECKO(2013) | ++DOMWINDOW == 9 (0x7ff09995f400) [pid = 2170] [serial = 12] [outer = 0x7ff09a8db880]
[task 2019-10-03T10:07:35.362Z] 10:07:35 INFO - GECKO(2013) | ++DOCSHELL 0x7f5d6de4c000 == 4 [pid = 2386] [id = {c1d5df49-3f89-4899-80bf-6f04162daeda}]
[task 2019-10-03T10:07:35.362Z] 10:07:35 INFO - GECKO(2013) | ++DOMWINDOW == 10 (0x7f5d6cf414c0) [pid = 2386] [serial = 10] [outer = (nil)]
[task 2019-10-03T10:07:35.363Z] 10:07:35 INFO - GECKO(2013) | ++DOMWINDOW == 11 (0x7f5d6ca4f800) [pid = 2386] [serial = 11] [outer = 0x7f5d6cf414c0]
[task 2019-10-03T10:07:35.370Z] 10:07:35 INFO - GECKO(2013) | ++DOMWINDOW == 10 (0x7ff09a9a3400) [pid = 2170] [serial = 13] [outer = 0x7ff09a8db880]
[task 2019-10-03T10:07:35.418Z] 10:07:35 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-10-03T10:07:35.425Z] 10:07:35 INFO - Tab removed and finished closing
[task 2019-10-03T10:07:35.441Z] 10:07:35 INFO - TEST-INFO | started process screentopng
[task 2019-10-03T10:07:36.046Z] 10:07:36 INFO - TEST-INFO | screentopng: exit 0
[task 2019-10-03T10:07:36.048Z] 10:07:36 INFO - TEST-UNEXPECTED-FAIL | devtools/client/responsive/test/browser/browser_contextual_identity.js | A promise chain failed to handle a rejection: Permission denied to access property "document" on cross-origin object - stack: getActiveElement@resource://devtools/client/shared/vendor/react-dom.js:4511:17
[task 2019-10-03T10:07:36.048Z] 10:07:36 INFO - getActiveElementDeep@resource://devtools/client/shared/vendor/react-dom.js:4799:17
[task 2019-10-03T10:07:36.048Z] 10:07:36 INFO - getSelectionInformation@resource://devtools/client/shared/vendor/react-dom.js:4829:21
[task 2019-10-03T10:07:36.050Z] 10:07:36 INFO - prepareForCommit@resource://devtools/client/shared/vendor/react-dom.js:6389:26
[task 2019-10-03T10:07:36.050Z] 10:07:36 INFO - commitRoot@resource://devtools/client/shared/vendor/react-dom.js:14301:19
[task 2019-10-03T10:07:36.051Z] 10:07:36 INFO - completeRoot/<@resource://devtools/client/shared/vendor/react-dom.js:15731:15
[task 2019-10-03T10:07:36.051Z] 10:07:36 INFO - unstable_runWithPriority@resource://devtools/client/shared/vendor/react.js:617:12
[task 2019-10-03T10:07:36.051Z] 10:07:36 INFO - completeRoot@resource://devtools/client/shared/vendor/react-dom.js:15730:27
[task 2019-10-03T10:07:36.051Z] 10:07:36 INFO - performWorkOnRoot@resource://devtools/client/shared/vendor/react-dom.js:15659:21
[task 2019-10-03T10:07:36.052Z] 10:07:36 INFO - performWork@resource://devtools/client/shared/vendor/react-dom.js:15567:24
[task 2019-10-03T10:07:36.052Z] 10:07:36 INFO - performSyncWork@resource://devtools/client/shared/vendor/react-dom.js:15541:14
[task 2019-10-03T10:07:36.052Z] 10:07:36 INFO - requestWork@resource://devtools/client/shared/vendor/react-dom.js:15410:5
[task 2019-10-03T10:07:36.053Z] 10:07:36 INFO - scheduleWork@resource://devtools/client/shared/vendor/react-dom.js:15224:16
[task 2019-10-03T10:07:36.053Z] 10:07:36 INFO - enqueueSetState@resource://devtools/client/shared/vendor/react-dom.js:8192:17
[task 2019-10-03T10:07:36.053Z] 10:07:36 INFO - Component.prototype.setState@resource://devtools/client/shared/vendor/react.js:328:16
[task 2019-10-03T10:07:36.054Z] 10:07:36 INFO - onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1412:16
[task 2019-10-03T10:07:36.054Z] 10:07:36 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:416:7
[task 2019-10-03T10:07:36.054Z] 10:07:36 INFO - log/</<@resource://devtools/client/shared/redux/middleware/log.js:27:9
[task 2019-10-03T10:07:36.055Z] 10:07:36 INFO - exports.history/</</<@resource://devtools/client/shared/redux/middleware/history.js:23:9
[task 2019-10-03T10:07:36.055Z] 10:07:36 INFO - waitUntilService/</<@resource://devtools/client/shared/redux/middleware/wait-service.js:59:24
[task 2019-10-03T10:07:36.055Z] 10:07:36 INFO - promiseMiddleware/</<@resource://devtools/client/shared/redux/middleware/promise.js:36:14
[task 2019-10-03T10:07:36.055Z] 10:07:36 INFO - thunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:16:9
[task 2019-10-03T10:07:36.055Z] 10:07:36 INFO - thunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:16:9
[task 2019-10-03T10:07:36.055Z] 10:07:36 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:755:18
[task 2019-10-03T10:07:36.056Z] 10:07:36 INFO - loadDevices/<@resource://devtools/client/responsive/actions/devices.js:179:17
[task 2019-10-03T10:07:36.056Z] 10:07:36 INFO - asyncthunk/</<@resource://devtools/client/shared/redux/middleware/thunk.js:15:9
[task 2019-10-03T10:07:36.057Z] 10:07:36 INFO - @resource://devtools/client/responsive/index.js:92:19
[task 2019-10-03T10:07:36.057Z] 10:07:36 INFO - promise callback
@resource://devtools/client/responsive/index.js:91:35
[task 2019-10-03T10:07:36.057Z] 10:07:36 INFO - Rejection date: Thu Oct 03 2019 10:07:32 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 265
[task 2019-10-03T10:07:36.057Z] 10:07:36 INFO - Stack trace:
[task 2019-10-03T10:07:36.058Z] 10:07:36 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:265
[task 2019-10-03T10:07:36.058Z] 10:07:36 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1381
[task 2019-10-03T10:07:36.058Z] 10:07:36 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-10-03T10:07:36.059Z] 10:07:36 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-10-03T10:07:36.059Z] 10:07:36 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-10-03T10:07:36.059Z] 10:07:36 INFO - Leaving test bound
[task 2019-10-03T10:07:36.060Z] 10:07:36 INFO - GECKO(2013) | [Parent 2013, Main Thread] WARNING: '!widget', file /builds/worker/workspace/build/src/dom/ipc/BrowserParent.cpp, line 3777
[task 2019-10-03T10:07:36.060Z] 10:07:36 INFO - Console message: [JavaScript Error: "TypeError: this.targetActor.docShell is null" {file: "resource://devtools/server/actors/emulation.js" line: 372}]
[task 2019-10-03T10:07:36.060Z] 10:07:36 INFO - TEST-PASS | devtools/client/responsive/test/browser/browser_contextual_identity.js | The main process DebuggerServer has no pending connection when the test ends -
[task 2019-10-03T10:07:36.060Z] 10:07:36 INFO - GECKO(2013) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-10-03T10:07:36.061Z] 10:07:36 INFO - GECKO(2013) | MEMORY STAT | vsize 3150MB | residentFast 416MB | heapAllocated 155MB
[task 2019-10-03T10:07:36.061Z] 10:07:36 INFO - TEST-OK | devtools/client/responsive/test/browser/browser_contextual_identity.js | took 6195ms

Nicolas can this be from Bug 1582697 ?

Flags: needinfo?(nchevobbe)

Yes, it could be, as Bug 1582697 removed some code that was catching exceptions. So things like that might have been unnoticed before.
But also, this highlights a test that isn't working with fission enabled (Permission denied to access property "document" on cross-origin object).
So we can probably mark this test with the fission-related tags.

Flags: needinfo?(nchevobbe)

We should disable this because we're re-working RDM to not use an inner iframe or messagemanager tunnel anymore, so we'll be able to re-enable it once that's done.

Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cd5365785292
Mark tests as fail-if on fission. r=gl
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 71
Assignee: nobody → csabou
Keywords: leave-open
Target Milestone: Firefox 71 → ---
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Tentatively moving all bugs whose summaries mention "Fission" (or other Fission-related keywords) but are not assigned to a Fission Milestone to the "?" triage milestone.

This will generate a lot of bugmail, so you can filter your bugmail for the following UUID and delete them en masse:

0ee3c76a-bc79-4eb2-8d12-05dc0b68e732

Fission Milestone: --- → ?
Fission Milestone: ? → M4.1

DevTools bugs don't need to block Fission mochitests milestone (M4.1) because there is a lot of Fission DevTools work remaining. Tracking for Fission Nightly (M6).

Fission Milestone: M4.1 → M6
You need to log in before you can comment on or make changes to this bug.